[arch-commits] Commit in catalyst/trunk (ChangeLog PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Sat Oct 25 16:48:41 EDT 2008


    Date: Saturday, October 25, 2008 @ 16:48:41
  Author: andyrtr
Revision: 17148

upgpkg: catalyst 8.11-0.2
    make it work and prepare next release

Modified:
  catalyst/trunk/ChangeLog
  catalyst/trunk/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |   16 +++++++++++++---
 2 files changed, 18 insertions(+), 3 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2008-10-25 20:46:25 UTC (rev 17147)
+++ ChangeLog	2008-10-25 20:48:41 UTC (rev 17148)
@@ -1,3 +1,8 @@
+2008-08-22 Andreas Radke <andyrtr at archlinux.org>
+  * 8.11-0.2
+	recompile for fixed -utils pkg
+	prepare changes the next installer will bring
+
 2008-10-17 Jan de Groot <jgc at archlinux.org>
   * 8.11-0.1
 	Update to Ubuntu's prerelease of 8.11.

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-25 20:46:25 UTC (rev 17147)
+++ PKGBUILD	2008-10-25 20:48:41 UTC (rev 17148)
@@ -1,11 +1,11 @@
 # $Id$
-# Maintainer: Travis Willard <travis at archlinux.org>
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
 # Contributor: amdviaman
 
 pkgname=catalyst
 pkgver=8.11
 _kernel_version=2.6.27
-pkgrel=0.1
+pkgrel=0.2
 pkgdesc="Proprietary AMD/ATI kernel drivers for Radeon brand cards. Stock kernel."
 arch=('i686' 'x86_64')
 url="http://www.ati.amd.com"
@@ -14,11 +14,17 @@
 makedepends=()
 replaces=('ati-fglrx' 'fglrx') # Yay rebranding
 install=catalyst.install
-source=(http://archive.ubuntu.com/ubuntu/pool/multiverse/f/fglrx-installer/fglrx-installer_8.543.orig.tar.gz)
+source=(#http://archive.ubuntu.com/ubuntu/pool/multiverse/f/fglrx-installer/fglrx-installer_8.543.orig.tar.gz
+	ftp://ftp.archlinux.org/other/catalyst/fglrx-installer_8.543.orig.tar.gz
+	#XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX-x86.x86_64.run
+)
 _kernver=${_kernel_version}-ARCH
 md5sums=('6abc8e86f1a00168ba8f43d58f71cb69')
 
 build() {
+#  /bin/sh ./ati-driver-installer-${pkgver/./-}-x86.x86_64.run --extract archive_files
+#  /bin/sh ./ati-driver-installer-XXXXXXXX-x86.x86_64.run --extract archive_files
+
   if [ "${CARCH}" = "x86_64" ]; then
     BUILDARCH=x86_64
     _archdir=x86_64
@@ -29,7 +35,10 @@
   fi
 
   cd "${srcdir}/lib/modules/fglrx/build_mod"
+#  cd "${srcdir}/archive_files/common/lib/modules/fglrx/build_mod"
   cp "${srcdir}/arch/${_archdir}/lib/modules/fglrx/build_mod/libfglrx_ip.a.GCC4" . || return 1
+#  cp "${srcdir}/archive_files/arch/${_archdir}/lib/modules/fglrx/build_mod/libfglrx_ip.a.GCC4" . || return 1
+
   cp 2.6.x/Makefile . || return 1
   make -C /lib/modules/${_kernver}/build SUBDIRS="`pwd`" ARCH=${BUILDARCH} modules || return 1
 
@@ -38,4 +47,5 @@
 
   install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
   install -m644 "${srcdir}/usr/share/doc/fglrx/ATI_LICENSE.TXT" "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
+#  install -m644 "${srcdir}/archive_files/ATI_LICENSE.TXT" "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
 }




More information about the arch-commits mailing list